import sys
import cv2
import argparse
import glob
import time

ap = argparse.ArgumentParser()
ap.add_argument("-f", "--folder_name")
args = vars(ap.parse_args())

print("USAGE : panorama.py <path to folder containing images>")
# Read the image
dirName = "scene"
if args['folder_name']:
	dirName = args['folder_name']

imagefiles = glob.glob("{}/*".format(dirName))
imagefiles.sort()

destination = "{}_result.png".format(dirName) # default destination path

if __name__ == "__main__":

	t = time.time()

	images = []
	for filename in imagefiles:
		img = cv2.imread(filename)
		images.append(img)
	
	# create stitcher object using stitcher class
	stitcher = cv2.createStitcher()

	status, result = stitcher.stitch(images)

	if status == 0:
		cv2.imwrite(destination, result)
		print("time taken = {}".format(time.time() - t))
		print("Output image written to {}".format(destination))
	else:
		print("Error in Stitching, Error Code : {}".format(status))
